##
##  kolab.spec -- OpenPKG RPM Specification
##  Copyright (c) 2002 Erfrakon
##  Copyright (c) 2003 Martin Konold <martin.konold@erfrakon.de>
##  Copyright (c) 2003 Tassilo Erlewein <tassilo.erlewein@erfrakon.de>

%define       V_kolab   1.0

#   package information
Name:         kolab
Summary:      Kolab Groupware Server
URL:          http://www.erfrakon.de/projects/kolab/download/
Vendor:       Erfrakon http://www.erfrakon.de
Packager:     The Kroupware Project
Distribution: Kolab
Group:        core
License:      GPL
Version:      %{V_kolab}
Release:      1.0.9

#   list of sources
Source0:      ftp://ftp.kde.org/pub/kde/unstable/server/kolab/kolab-current/kolab-%{version}.tar.gz
Source1:      Makefile
Source2:      rc.kolab

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 1.2.0
PreReq:       OpenPKG, openpkg >= 1.2.0, openldap, postfix, imapd, sasl, apache, proftpd, perl-ldap
AutoReq:      no
AutoReqProv:  no

%description
    Kolab is the KDE Groupware Server that provides full groupware features
    to either KDE Kolab clients or Microsoft Outlook[tm] clients running on 
    Windows[tm] using the Konsec Konnector http://www.konsec.com. 
    In addition it is a robust and flexible general imap mail server with 
    LDAP addressbook and nice web gui for administration.

%prep
    %setup -q -c

%build
    #echo "Finished"

%install
    rm -rf $RPM_BUILD_ROOT

    %{l_shtool} mkdir -p -m 750 $RPM_BUILD_ROOT%{l_prefix}/etc/kolab
    %{l_shtool} mkdir -p -m 750 $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d
    %{l_shtool} mkdir -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/var/kolab
    %{l_shtool} mkdir -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/var/kolab/www
    %{l_shtool} mkdir -p -m 750 $RPM_BUILD_ROOT%{l_prefix}/var/kolab/log
    %{l_shtool} mkdir -p -m 750 $RPM_BUILD_ROOT%{l_prefix}/var/kolab/www/cgi-bin
    %{l_shtool} mkdir -p -m 775 $RPM_BUILD_ROOT%{l_prefix}/var/kolab/www/freebusy
    %{l_shtool} mkdir -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/var/kolab/www/icons
    %{l_shtool} mkdir -p -m 775 $RPM_BUILD_ROOT%{l_prefix}/var/kolab/www/locks
    %{l_shtool} mkdir -p -m 775 $RPM_BUILD_ROOT%{l_prefix}/var/kolab/www/webcalendar

    %{l_shtool} install -c -m 750 -e "s;@l_prefix@;%{l_prefix};g" %{SOURCE rc.kolab} \
	$RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/

    # gets overwritten later
    %{l_shtool} install -c -m 740 -e 's;@@@kolab_prefix@@@;%{l_prefix};g' \
	kolab_sslcert.sh $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 smtpd.conf.template virtual.template transport.template aliases.template \
        $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 -e 's;@@@kolab_prefix@@@;%{l_prefix};g' cyrus.conf.template \
        $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/    
    %{l_shtool} install -c -m 640 \
    	-e 's;@@@kolab_prefix@@@;%{l_prefix};g' \
	-e 's;@l_nusr@;%{l_nusr};g' \
	-e 's;@l_ngrp@;%{l_ngrp};g' httpd.conf.template \
        $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 -e 's;@@@kolab_prefix@@@;%{l_prefix};g' legacy.conf.template \
        $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 -e 's;@@@kolab_prefix@@@;%{l_prefix};g' imapd.conf.template \
        $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 imapd.group.template $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 740 -e 's;@@@kolab_prefix@@@;%{l_prefix};g' kolab \
	$RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 kolab.conf $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 kolab.schema $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 740 -e 's;@@@kolab_prefix@@@;%{l_prefix};g' \
	-e "s;@@@l_musr@@@;%{l_musr};g" \
        -e "s;@@@l_rgrp@@@;%{l_rgrp};g" kolab_bootstrap \
	$RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 \
        -e 's;@@@kolab_prefix@@@;%{l_prefix};g' \
        -e "s;@@@l_musr@@@;%{l_musr};g" \
        -e "s;@@@l_rgrp@@@;%{l_rgrp};g" \
        -e "s;@@@l_nusr@@@;%{l_nusr};g" main.cf.template \
 	$RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 master.cf.template $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    #%{l_shtool} install -c -m 640 -e 's;@@@kolab_prefix@@@;%{l_prefix};g' monit.conf.template \
#	$RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 php.ini.template $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 \
    	-e 's;@@@kolab_prefix@@@;%{l_prefix};g' \
	-e 's;@@@l_nusr@@@;%{l_nusr};g' -e 's;@@@l_nuid@@@;%{l_nuid};g' \
	-e 's;@@@l_ngrp@@@;%{l_ngrp};g' -e 's;@@@l_ngid@@@;%{l_ngid};g' proftpd.conf.template \
        $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
#    %{l_shtool} install -c -m 640 proftpd.group.template $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
#    %{l_shtool} install -c -m 640 proftpd.passwd.template $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 saslauthd.conf.template $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 session_vars.php.template $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 640 -e 's;@@@kolab_prefix@@@;%{l_prefix};g' slapd.conf.template \
        $RPM_BUILD_ROOT%{l_prefix}/etc/kolab/
    %{l_shtool} install -c -m 740 -e 's;@@@kolab_prefix@@@;%{l_prefix};g' workaround.sh \
	$RPM_BUILD_ROOT%{l_prefix}/etc/kolab/ 	
    cp -r admin/ $RPM_BUILD_ROOT%{l_prefix}/var/kolab/www/
    
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} \
    '%config %{l_prefix}/etc/kolab/*.pem' \
    '%config %{l_prefix}/etc/kolab/*.schema' \
    '%config %{l_prefix}/etc/kolab/kolab.conf'

%post
    chown %{l_nusr}:%{l_ngrp} %{l_prefix}/var/kolab/www/freebusy
    chown %{l_nusr}:%{l_ngrp} %{l_prefix}/var/kolab/www/locks

    echo "For a fresh install please initialize Kolab and run
'%{l_prefix}/etc/kolab/kolab_bootstrap -b' as user root."
    echo 
    echo "If you upgraded from a previous version simply refresh Kolab and run '%{l_prefix}/etc/kolab/kolab -o -v' as user root."
    echo
    echo "In every case execute '%{l_prefix}/etc/rc.d/rc.kolab restart' as user root."

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT
